#include "LabelCheck.h"

LabelCheck::LabelCheck()
{
	CtrlLayout(*this, "Window title");
	lbl.SetBgColor(LtGray,Color(48,255,0),Color(255,128,0));
	Font f = StdFont(16).Bold();
	lbl.SetFontColor(Color(32,32,128)).On().SetFont(f).SetText("LabelBg Status = 1").SetAlign ( ALIGN_CENTER );

	btn0.Enable();btn1.Enable(false);btn2.Enable();

	btn0 << [=] { lbl.SetState(0).SetText("LabelBg Status = 0");btn0.Enable(false);btn1.Enable();btn2.Enable();};
	btn1 << [=] { lbl.SetState(1).SetText("LabelBg Status = 1");btn0.Enable();btn1.Enable(false);btn2.Enable();};
	btn2 << [=] { lbl.SetState(2).SetText("LabelBg Status = 2");btn0.Enable();btn1.Enable();btn2.Enable(false);};
	
}

GUI_APP_MAIN
{
	LabelCheck().Run();
}
